# Uses of Enum Class
org.apache.solr.client.solrj.SolrRequest.METHOD

Packages that use SolrRequest.METHOD
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.request.json
Allows sending of requests using Solr's JSON query/faceting API
org.apache.solr.client.solrj.request.schema
Convenience classes for making Schema API requests.

## Uses of SolrRequest.METHOD in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrRequest.METHOD
Modifier and Type
Method
Description
`static SolrRequest.METHOD`
SolrRequest.METHOD.`fromString(String methodStr)`
Returns the METHOD enum value matching the provided string, or 'null' if no match is found.
`SolrRequest.METHOD`
SolrRequest.`getMethod()`
`static SolrRequest.METHOD`
SolrRequest.METHOD.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrRequest.METHOD[]`
SolrRequest.METHOD.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj with parameters of type SolrRequest.METHOD
Modifier and Type
Method
Description
`QueryResponse`
SolrClient.`query(String collection, SolrParams params, SolrRequest.METHOD method)`
Performs a query to the Solr server
`QueryResponse`
SolrClient.`query(SolrParams params, SolrRequest.METHOD method)`
Performs a query to the Solr server
`void`
SolrRequest.`setMethod(SolrRequest.METHOD method)`
Constructors in org.apache.solr.client.solrj with parameters of type SolrRequest.METHOD
Modifier
Constructor
Description
``
`SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`

## Uses of SolrRequest.METHOD in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return SolrRequest.METHOD
Modifier and Type
Method
Description
`SolrRequest.METHOD`
ApiMapping.CommandMeta.`getHttpMethod()`
the http method supported by this command
Methods in org.apache.solr.client.solrj.request with parameters of type SolrRequest.METHOD
Modifier and Type
Method
Description
`V2Request.Builder`
V2Request.Builder.`withMethod(SolrRequest.METHOD m)`
Constructors in org.apache.solr.client.solrj.request with parameters of type SolrRequest.METHOD
Modifier
Constructor
Description
``
`AbstractUpdateRequest(SolrRequest.METHOD m, String path)`
``
`CollectionRequiringSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`DelegationTokenRequest(SolrRequest.METHOD m)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType, SolrParams params)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrParams params)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType, SolrParams params)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path, SolrParams params)`
``
`MultiContentWriterRequest(SolrRequest.METHOD m, String path, Iterator<Pair<NamedList<String>,Object>> payload)`
``
`QueryRequest(SolrParams q, SolrRequest.METHOD method)`

## Uses of SolrRequest.METHOD in org.apache.solr.client.solrj.request.json

Methods in org.apache.solr.client.solrj.request.json with parameters of type SolrRequest.METHOD
Modifier and Type
Method
Description
`void`
JsonQueryRequest.`setMethod(SolrRequest.METHOD m)`

## Uses of SolrRequest.METHOD in org.apache.solr.client.solrj.request.schema

Constructors in org.apache.solr.client.solrj.request.schema with parameters of type SolrRequest.METHOD
Modifier
Constructor
Description
``
`AbstractSchemaRequest(SolrRequest.METHOD m, String path)`
``
`AbstractSchemaRequest(SolrRequest.METHOD m, String path, SolrParams params)`